Subject: [MMUSIC] Question about direction in draft-ietf-mmusic-offer-answer-examples-05

From: "Pagani, Florence" <[email-masked]>
Date: Wed, 22 Dec 2004 17:21:56 +0100

Hi all,
 
I am wondering why in
http://www.ietf.org/internet-drafts/draft-ietf-mmusic-offer-answer-examp
les-05.txt, there is an answer without any direction (i.e. the default =
sendrecv) to an offer with direction  sendonly. I would have put
recvonly instead... Did I miss something?
 
Here is the example:
  _____  

3.2  Hold with Two Streams

   Alice offers two media streams, a bidirectional audio stream and a
   send only telephone event stream.  Bob accepts both streams.  Bob
   then puts Alice's audio stream on hold but not the tone stream.
   Alice responds with identical SDP to the initial offer.

    [Offer]

      v=0
      o=alice 2890844526 2890844526 IN IP4 host.atlanta.example.com
      s=
      c=IN IP4 host.atlanta.example.com
      t=0 0
      m=audio 49170 RTP/AVP 0 97
      a=rtpmap:0 PCMU/8000
      a=rtpmap:97 iLBC/8000
      m=audio 49172 RTP/AVP 98
      a=rtpmap:98 telephone-event/8000
      a=sendonly

   [Answer]

      v=0
      o=bob 2808844564 2808844564 IN IP4 host.biloxi.example.com
      s=
      c=IN IP4 host.biloxi.example.com
      t=0 0
      m=audio 49172 RTP/AVP 97
      a=rtpmap:97 iLBC/8000
      m=audio 49174 RTP/AVP 98
      a=rtpmap:98 telephone-event/8000
      a=recvonly

   [Second-Offer]

      v=0
      o=bob 2808844564 2808844565 IN IP4 host.biloxi.example.com
      s=
      c=IN IP4 host.biloxi.example.com
      t=0 0
      m=audio 49172 RTP/AVP 97
      a=rtpmap:97 iLBC/8000
      a=sendonly
      m=audio 49174 RTP/AVP 98
      a=rtpmap:98 telephone-event/8000
      a=recvonly

   [Second-Answer]

      v=0
      o=alice 2890844526 2890844527 IN IP4 host.atlanta.example.com
      s=
      c=IN IP4 host.atlanta.example.com
      t=0 0
      m=audio 49170 RTP/AVP 0 97
      a=rtpmap:0 PCMU/8000
      a=rtpmap:97 iLBC/8000                    --> Why not recvonly ????
      m=audio 49172 RTP/AVP 98
      a=rtpmap:98 telephone-event/8000
      a=sendonly

--
Florence PAGANI
HP OpenCall Business Unit - New Venture
+33 (0)4 76 14 57 53
[email-masked]
 
_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic